import React from 'react';
import ReactDOM from 'react-dom/client';
import './index.css';
import App from './App';
import reportWebVitals from './reportWebVitals';
import {BrowserRouter} from "react-router-dom";

// import store from "./store/msgReducer";
// import store from "./store/store"
import store from "./store/tookit"
import {Provider} from "react-redux"
const root = ReactDOM.createRoot(document.getElementById('root'));
root.render(
    /**
     *  严格模式: 只在开发模式中生效, 打包后会去除
     *  检测危险操作, 比如废弃和不推荐的api
     *  重复执行2次生命周期函数, 检测额外的副作用 如 render
     */
    // <React.StrictMode>
    <BrowserRouter>
        <Provider store={store}>
            <App/>
        </Provider>
    </BrowserRouter>
    // </React.StrictMode>
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals();
