import {legacy_createStore as createStore} from "redux"

export function msgReducer(state = {
    msg: "redux state msg",
}, action){
    // 具体的操作行为
    switch (action.type) {
        case 'changeMsg':
            state.msg = action.payload
            break;
        case 'resetMsg':
            state.msg = "redux state msg"
            break;
    }

    return {
        // 展开对象 解除对原对象的引用
        ...state,
    }
}

const store = createStore(msgReducer)

export default store;
